> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new secret

> Secret created (the value is never returned)

### Request body

`CreateSecretRequest`

<ParamField body="name" type="string" required />

<ParamField body="value" type="string" required />

<ParamField body="scope" type="string" required />

<ParamField body="allowed_sandbox_patterns" type="string[]" />

<ParamField body="expires_in_days" type="integer" />

### Response

`object`

<ResponseField name="id" type="string (uuid)" required />

<ResponseField name="name" type="string" required />

<ResponseField name="scope" type="string" required />

<ResponseField name="allowed_sandbox_patterns" type="string[]" required />

<ResponseField name="expires_at" type="string (date-time)" required />

<ResponseField name="created_at" type="string (date-time)" required />

<ResponseField name="updated_at" type="string (date-time)" required />

### Status codes

| Code  | Meaning                                      |
| ----- | -------------------------------------------- |
| `201` | Secret created (the value is never returned) |
| `400` | Invalid request                              |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.sandbox.stateset.app/api/v1/secrets' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "name": "Two-Person Tent",
    "value": "49.00",
    "scope": "sandbox",
    "allowed_sandbox_patterns": [
      "string"
    ],
    "expires_in_days": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Two-Person Tent",
    "scope": "string",
    "allowed_sandbox_patterns": [
      "string"
    ],
    "expires_at": "2026-08-31T14:22:05Z",
    "created_at": "2026-08-31T14:22:05Z",
    "updated_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
